Issue 84569 - create resolution dependent images for charts for the slideshow
Summary: create resolution dependent images for charts for the slideshow
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: 680m235
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.4
Assignee: kla
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-14 10:46 UTC by IngridvdM
Modified: 2008-06-12 13:46 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
example for zoom/resolution problem (119.19 KB, application/vnd.oasis.opendocument.presentation)
2007-12-14 10:54 UTC, IngridvdM
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description IngridvdM 2007-12-14 10:46:37 UTC
3D charts look like 'Lego' sometimes in the slideshow. There are steps bigger
than the aliasing steps and some of the lines are broadened. Or lines are
missing when images are zoomed down. For charts with many many data points
sometimes data points are missing during the slideshow.
The reason is that charts have a resolution dependent view output. One reason is
that 3D scenes are rendered as resolution dependent bitmaps into the meta files.
The other reason is that the chart does not always create shapes for all data
points. For performance reasons a shape is created only if the point is
different from its predecessor at a given resolution.
Comment 1 IngridvdM 2007-12-14 10:54:45 UTC
Created attachment 50313 [details]
example for zoom/resolution problem
Comment 2 IngridvdM 2007-12-14 11:35:18 UTC
In case of full screen presentation I now request a resolution and zoom-factor
dependent metafile from the chart for each draw shape in the slide show.
Look at function local_getMetafileForChart in
slideshow\source\engine\shapes\drawshape.cxx v 1.2.34.2 .
But this is only a temporary workaround for OOo 2.4 and does not work for all
sceanrios. The real solution should be to have the view dependent stuff in the
view shape. I created a follow up issue 84570 for the correct solution.

Comment 3 IngridvdM 2007-12-14 11:54:15 UTC
->Thomas, please verify in CWS chart15.
Charts should look better now when the top level window is the slideshow window
- that is in full screen presentation mode. Please check that other cases didn't
got worse: window presentation mode. Please also check multi monitor support as
far as this is possible at the moment (see issue 84468).
The solution is still not perfect, it is only a temporary workaround. There are
still sometimes lines vanishing a bit and whole slideshow scenarios are not
fixed at all. A complete solution should be implemented with issue 84570.
Comment 4 kla 2007-12-27 14:37:25 UTC
Waiting for issue 84570. But the current implementation looks realy better than 
the old one -> verified
Comment 5 kla 2008-06-12 13:46:18 UTC
closed